> For the complete documentation index, see [llms.txt](https://docs.chainvine.xyz/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.chainvine.xyz/developers/use-cases/record-link-click.md).

# Record Link Click

### **Pre-requisites**

* Implement the SDK's recommended [Cookie Management](broken://pages/uYJ1fJuBmasYY0uEzdmV) approach

### **Best practices**

* Fetch the referrer\_id using the [getReferrerId()](broken://pages/uYJ1fJuBmasYY0uEzdmV#fetching-a-stored-referrer-id) method
* be sure to only call this method when appropriate so as to avoid sending false events!

### Examples

{% tabs %}
{% tab title="Browser" %}

```typescript
import { ChainvineClient } from '@chainvine/sdk';

const client = new ChainvineClient(); //Make sure to whitelist your domain

await client.recordClick(
    'ABC123', // the referrer from the referral link
    'aSlug123' // Optional, the campaign slug/id to record the click for (if you have multiple active campaigns)
); 
```

{% endtab %}

{% tab title="Server" %}

```typescript
import { ChainvineClient } from '@chainvine/sdk';

const client = new ChainvineClient({
    apiKey: '9dj022didj', //your api key
});

await client.recordClick(
    'ABC123', // the referrer from the referral link
    'aSlug123' // Optional, the campaign slug/id to record the click for (if you have multiple active campaigns)
); 
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.chainvine.xyz/developers/use-cases/record-link-click.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
